/*
 * Copyright 2012 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


/* Anonymous function is used not to pollute environment */
(function(Nuvola, undefined){
	console.log("DEPRECATION WARNING: Nuvola Player JavaScript API 1.x is deprecated and may be removed in future versions.");
	/* Save same new methods */
	var onMessageReceived = Nuvola.onMessageReceived;
	var updateAction = Nuvola.bind(Nuvola, Nuvola.updateAction);
	
	/* Disable some new methods */
	Nuvola.triggerAction = undefined;
	Nuvola.loadConfig = undefined;
	Nuvola.saveConfig = undefined;
	Nuvola.updateActions = undefined;
	Nuvola.updateAction = undefined;
	
	
	/* Call command() callback when onMessageReceived() callback is called */
	Nuvola.onMessageReceived = function(message){
		if(Nuvola.command){
			
			Nuvola.command(message);
		}
		else{
			onMessageReceived(message);
		}
	}
	
	/* Call updateActions() and updateSong() when dataChanged is called. */
	Nuvola.dataChanged = function(song, artist, album, album_art, state, can_prev, can_next, can_thumbs_up, can_thumbs_down, can_favorite){
		updateAction(Nuvola.ACTION_PREV_SONG, can_prev);
		updateAction(Nuvola.ACTION_NEXT_SONG, can_next);
		updateAction(Nuvola.ACTION_THUMBS_UP, can_thumbs_up);
		updateAction(Nuvola.ACTION_THUMBS_DOWN, can_thumbs_down);
		updateAction(Nuvola.ACTION_FAVORITE, can_favorite);
		Nuvola.updateSong(song, artist, album, album_art, state);
	}
	
	/* Set old CMD_* constants */
	var commands = ["PLAY", "PAUSE", "PREV_SONG", "NEXT_SONG", "THUMBS_UP", "THUMBS_DOWN", "FAVORITE"];
	for(var i = 0; i < commands.length; i++){
		Nuvola["CMD_" + commands[i]] = Nuvola["ACTION_" + commands[i]];
	}
	Nuvola.CMD_TOGGLE = Nuvola.ACTION_TOGGLE_PLAY;
	
	/* Create global reference to the main Nuvola Player object. */
	window._Nuvola = Nuvola;


// Immediately call the anonymous function with Nuvola JS API main object as an argument.
// Note that "this" is set to the Nuvola JS API main object.
})(this);
