/*
 * Copyright 2011-2012 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

var testFlash = function(){
	var output = document.createElement("pre");
	var mainDiv = document.getElementById("main");
	mainDiv.appendChild(output);
	
	var append = function(key, value, bold){
		text = key + ": ";
		while(text.length < 20){
			text += " ";
		}
		text += value + "\n";
		text = document.createTextNode(text);
		if(bold){
			var bold = document.createElement("strong");
			bold.appendChild(text);
			output.appendChild(bold);
		}
		else{
			output.appendChild(text);
		}
	}
	
	var append_wrapped = function(text, limit){
		var parts = text.split(" ");
		var line = "";
		while(parts.length){
			var item = parts.shift();
			if(line.length + item.length + 1 > limit){
				output.appendChild(document.createTextNode(line + "\n"));
				line = item;
			}
			else{
				line =  line === "" ? item : line + " " + item;
			}
		}
		if(line.length){
			output.appendChild(document.createTextNode(line + "\n"));
		}
	};
	
	append_wrapped("Navigator: " + navigator.userAgent, 45);
	
	output.appendChild(document.createTextNode("\n"));
	
	var keys = ["installed", "major", "minor", "revision", "revisionStr", "raw"];
	for(var i = 0; i < keys.length; i++){
		var key = keys[i];
		append("Flash." + key, FlashDetect[key] + "", key === "installed");
	}
}

window.onload = testFlash;
